<div class="row justify-content-center section">
    <div class="col-md-5 col-xs-12">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
            <div class="section-title col-md-12">
                <h3 class="title"><span>Create or edit a Conference</span></h3>
            </div>
            <div>
                <div>
                    <div class="form-group" [hidden]="!conference.id">
                        <label>ID</label>
                        <input type="text" class="form-control" name="id"
                               [(ngModel)]="conference.id" readonly>
                    </div>

                    <div class="form-group date-group">
                        <div class="input-group col-md-6 col-xs-12">
                            <label class="form-control-label"><span>Date from </span></label>
                            <input type="text" class="form-control" placeholder="yyyy-mm-dd"
                                   name="dateFrom" [(ngModel)]="conference.dateFrom" ngbDatepicker #d="ngbDatepicker"
                                   required>
                            <div class="input-group-append">
                                <button class="btn btn-outline-secondary" (click)="d.toggle()" type="button">
                                    <fa-icon [icon]="'calendar'"></fa-icon>
                                </button>
                            </div>
                        </div>
                        <div class="input-group col-md-6 col-xs-12">
                            <label class="form-control-label"><span>Date to </span></label>
                            <input type="text" class="form-control" placeholder="yyyy-mm-dd"
                                   name="dateTo" [(ngModel)]="conference.dateTo" ngbDatepicker #d1="ngbDatepicker"
                                   required>
                            <div class="input-group-append">
                                <button class="btn btn-outline-secondary" (click)="d1.toggle()" type="button">
                                    <fa-icon [icon]="'calendar'"></fa-icon>
                                </button>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">

                    </div>

                    <div class="form-group">
                        <label class="form-control-label" for="title">Title</label>
                        <input type="text" class="form-control" name="title" id="title"
                               [(ngModel)]="conference.title" required>
                    </div>
                    <div class="form-group">
                        <label class="form-control-label" for="description">Description</label>
                        <textarea class="form-control" name="description" id="description" rows="5"
                                  [(ngModel)]="conference.description"></textarea>
                    </div>
                    <div class="address-info col-md-12">
                        <div class="form-group col-md-6">
                            <label class="form-control-label">Street</label>
                            <input type="text" class="form-control" name="street"
                                   placeholder="street" maxlength="254" [(ngModel)]="conference.address.street" required>
                        </div>
                        <div class="form-group col-md-6">
                            <label class="form-control-label">City</label>
                            <input type="text" class="form-control" name="city"
                                   placeholder="city" maxlength="254" [(ngModel)]="conference.address.city" required>
                        </div>
                    </div>
                    <div class="address-info col-md-12">
                        <div class="form-group col-md-6">
                            <label class="form-control-label">Zipcode</label>
                            <input type="text" class="form-control" name="zipCode"
                                   placeholder="zipCode" maxlength="254" [(ngModel)]="conference.address.zipCode" required>
                        </div>
                        <div class="form-group col-md-6">
                            <label class="form-control-label">Country</label>
                            <input type="text" class="form-control" name="country"
                                   placeholder="country" maxlength="254" [(ngModel)]="conference.address.country" required>
                        </div>
                    </div>
                    <div class="form-group">
                        <label>Users</label>
<!--                        <select class="form-control" multiple name="user" [(ngModel)]="conference.users">-->
<!--                            <option *ngFor="let user of users" [value]="user">{{user.username}}</option>-->
<!--                        </select>-->

                        <div *ngIf="conference.id" class="input-dropdown">
                            <input type="text" class="form-control" (focus)="searchUsersShow()" (blur)="searchUsersHide()" (keyup)="myFunction()" placeholder="Search for user..">
                            <!--    <ul *ngIf="searchShow">-->
                            <!--        <li *ngFor="let searchUser of searchUsers" [value]="searchUser" (mousedown)="selectUser(searchUser)">{{searchUser.username}} </li>-->
                            <!--    </ul>-->
                            <select *ngIf="searchShow" class="form-control" multiple name="user">
                                <option *ngFor="let searchUser of searchUsers" (mousedown)="selectUser(searchUser)">{{searchUser.username}} </option>
                            </select>
                            <div *ngFor="let conferenceUser of conference.users">{{conferenceUser.username}}<button type="button" class="btn" (click)="deleteUser(conferenceUser); $event.stopPropagation(); $event.preventDefault()" data-background=false>&times;</button></div>
                        </div>
                        <div *ngIf="!conference.id" class="input-dropdown">
                            <input type="text" class="form-control" (focus)="searchUsersShow()" (blur)="searchUsersHide()" (keyup)="myFunction()" placeholder="Search for user..">
                            <!--    <ul *ngIf="searchShow">-->
                            <!--        <li *ngFor="let searchUser of searchUsers" [value]="searchUser" (mousedown)="selectUser(searchUser)">{{searchUser.username}} </li>-->
                            <!--    </ul>-->
                            <select *ngIf="searchShow" class="form-control" multiple name="user">
                                <option *ngFor="let searchUser of searchUsers" (mousedown)="selectUser(searchUser)">{{searchUser.username}} </option>
                            </select>
                            <div *ngFor="let conferenceUser of conference.users">{{conferenceUser.username}}<button type="button" class="btn" (click)="deleteUser(conferenceUser); $event.stopPropagation(); $event.preventDefault()" data-background=false>&times;</button></div>
                        </div>
                    </div>
                </div>
                <div>
                    <button type="button" class="btn btn-secondary" (click)="previousState()">
                        <fa-icon [icon]="'ban'"></fa-icon>&nbsp;<span>Cancel</span>
                    </button>
                    <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
                        <fa-icon [icon]="'save'"></fa-icon>&nbsp;<span>Save</span>
                    </button>
                </div>
            </div>
        </form>
    </div>
</div>
